Subject: Re: [PATCH 3/8] pseries: phyp dump: reserve-release proof-of-concept

From: Michael Ellerman <[email-masked]>
Date: Tue, 08 Jan 2008 12:13:57 +1100

On Mon, 2008-01-07 at 18:49 -0600, Linas Vepstas wrote:
> On 07/01/2008, Arnd Bergmann <[email-masked]> wrote:
> > On Tuesday 08 January 2008, Manish Ahuja wrote:
> >
> > > Initial patch for reserving memory in early boot, and freeing it later.
> > > If the previous boot had ended with a crash, the reserved memory would contain
> > > a copy of the crashed kernel data.
> > >
> > > Signed-off-by: Manish Ahuja <[email-masked]>
> > > Signed-off-by: Linas Vepstas <[email-masked]>
> >
> > I think the signed-off-by chain needs to be modified. The way it appears,
> > you handled the patch first, then sent it to Linas, who forwarded it
> > to whoever will take the patches from the list.

> > This obviously isn't true, since you are actually the one who is sending
> > out the patches. Moreover, I believe that the [email-masked]
> > address is now dead, and shouldn't be used for this any more.
> 
> Hmm. I wanted to indicate that the work was done while I was at IBM;
> clearly, no one is going through git and changing old, expired email
> addrs, and so submission based on the old addr seemed appropriate.
> 
> I'm taking the Signed-off-by line as a quasi-legal thing: a fancy ID string,
> identifying the author(s),  rather than a new way to manage email
> address books.

No one's changing the git history (you can't), but it seems silly to
submit a patch with an address that is already dead. There is a general
expectation that if/when someone finds a bug in the code they can email
the signed-off-by addresses and get a real person.

As far as indicating it was written at IBM, that should be covered by
the copyright notices.

cheers

-- 
Michael Ellerman
OzLabs, IBM Australia Development Lab

wwweb: http://michael.ellerman.id.au
phone: +61 2 6212 1183 (tie line 70 21183)

We do not inherit the earth from our ancestors,
we borrow it from our children. - S.M.A.R.T Person